/*
 * Java
 *
 * Copyright 2015-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.allocator;

import ej.annotation.Nullable;

/**
 * API for managing section memory blocks
 */
public interface SectionAllocator {

	/**
	 * Allocates a memory block
	 *
	 * @param alignment
	 *            the block start address alignment
	 * @param size
	 *            the size in bytes
	 * @return the allocated block or <code>null</code> if not enough memory
	 */
	@Nullable
	public MemoryBlock allocate(int alignment, int size);

	/**
	 * Reclaim all {@link MemoryBlock} that have been allocated with this allocator
	 */
	public void reclaim();
}
