/*
 * Java
 *
 * Copyright 2008-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.input.soar;

import com.is2t.elflw.ElfConstants;

/**
 * ELF constants for target SOAR (subset)
 */
public interface ElfSoarMicroJvmConstants {

	public static final int EM_SOARMICROJVM = 0x2100;
	
	public static final int R_SOAR_None			 							= 0;
	public static final int R_SOAR_SymPlusAddend 							= 1;	// Symbol+Addend
	public static final int R_SOAR_SymFromTypeHeaderAndMaskPlusAddend 		= 3;	// (Symbol + valueOf(TYPES_HEADER_START)&Mask + Addend
	
	/**
	 * Extended section type for SOAR relocation sections.
	 */
	public static final int SECTION_TYPE_REL_SOAR = ElfConstants.SHT_LOPROC;
}
