/*
 * Java
 *
 * Copyright 2008-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.nodes;

import com.is2t.elflw.ElfGenerator;

/**
 * Section that contains target specific instructions that could be relocated But that are not part of the executable
 * (==> Most likely debug sections) Debug sections are stored in a DWARF format and have most likely relocation
 * instructions (static data)
 */
public class ProgControlSection extends ProgSection {

	private final int size;

	public ProgControlSection(int alignment, int size) {
		super(alignment);
		this.size = size;
	}

	@Override
	public void generateUsing(ElfGenerator gen) {
		gen.generateProgControlSection(this);
	}

	@Override
	public int size() {
		return this.size;
	}
}
