/**
 * Java
 *
 * Copyright 2008-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.nodes;


import com.is2t.elflw.ElfGenerator;

public class StringSection extends Section{

	public byte[] data;
	
	public StringSection(int alignment, byte[] data) {
		super(alignment);
		this.data = data;
	}

	public byte[] getName(int index){
		// assume index is a valid index
		byte[] data = this.data;
		int nullIndex = index;
		while(data[nullIndex]!=0){
			++nullIndex;
		}
		int length = nullIndex-index;
		byte[] result = new byte[length];
		System.arraycopy(data, index, result, 0, length);
		return result;
	}

	public void generateUsing(ElfGenerator gen) {
		gen.generateStringSection(this);
	}

	public int size() {
		return data.length;
	}
}
