/**
 * Java
 *
 * Copyright 2008-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.support;


// Temporary structure
public class SectionHeader{

	public int name;			// index of the section name in the String Table
	public int type;			// section type : section's content and semantics
	public int flags;			// flags
	public int addr;			// if the section appear in the memory image of a process, gives the address at which the section's first byte should reside
	public int offset;			// gives the byte offset from the beginning of the file to first byte of the section
	public int size;			// section's size in bytes
	public int link;			// holds a section header table index, depends on the section type
	public int info;			// holds extra information, depends on the section type
	
	public int addralign;		// Some sections have address alignment constraints. For example, if a section
											//holds a doubleword, the system must ensure doubleword alignment for the
											//entire section. That is, the value of sh_addr must be congruent to 0,
											//modulo the value of sh_addralign. Currently, only 0 and positive
											//integral powers of two are allowed. Values 0 and 1 mean the section has no
											//alignment constraints.
	
	public int entsize;		// Some sections hold a table of fixed-size entries, such as a symbol table. For
											//such a section, this member gives the size in bytes of each entry. The
											//member contains 0 if the section does not hold a table of fixed-size entries.
}
