/*
 * Java
 *
 * Copyright 2015-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.kf;

import com.is2t.elflw.allocator.MemoryBlock;

public class NativeMemoryBlock implements MemoryBlock {

	public long memoryBlockDescriptor;
	private final long sectionStartAddress;
	private final int size;

	public NativeMemoryBlock(long memoryBlockDescriptor, long sectionStartAddress, int size) {
		this.memoryBlockDescriptor = memoryBlockDescriptor;
		this.sectionStartAddress = sectionStartAddress;
		this.size = size;
	}

	@Override
	public int getSize() {
		return this.size;
	}

	@Override
	public boolean copyFrom(byte[] src, int srcOffset, int dstOffset, int length) {
		return DynamicLoaderNatives.copyFrom(this.memoryBlockDescriptor, src, srcOffset, dstOffset, length);
	}

	@Override
	public void copyTo(int srcOffset, byte[] dst, int dstOffset, int length) {
		if (!DynamicLoaderNatives.copyTo(this.memoryBlockDescriptor, srcOffset, dst, dstOffset, length)) {
			throw new ArrayIndexOutOfBoundsException();
		}
	}

	@Override
	public long getAddress() {
		return this.sectionStartAddress;
	}
}
